Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Interface DynSequenceOperations

All Superinterfaces:
  DynAnyOperations

All Known Subinterfaces:
  DynSequence

public interface DynSequenceOperations
extends DynAnyOperations

Interface definition : DynSequence

Author:
  OpenORB Compiler

Method Summary
`DynAny[]` | `get_elements_as_dyn_any()` Operation get_elements_as_dyn_any
`Any[]` | `get_elements()` Operation get_elements
`int` | `get_length()` Operation get_length
`void` | `set_elements_as_dyn_any(DynAny[] value)` Operation set_elements_as_dyn_any
`void` | `set_elements(Any[] value)` Operation set_elements
`void` | `set_length(int len)` Operation set_length

Methods inherited from interface org.omg.DynamicAny.DynAnyOperations
`assign, component_count, copy, current_component, destroy, equal, from_any, get_abstract, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_abstract, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### get_length

    public int get_length()

  Operation get_length

### set_length

    public void set_length(int len)
                    throws InvalidValue

  Operation set_length

### get_elements

    public Any[] get_elements()

  Operation get_elements

### set_elements

    public void set_elements(Any[] value)
                      throws TypeMismatch,
                             InvalidValue

  Operation set_elements

### get_elements_as_dyn_any

    public DynAny[] get_elements_as_dyn_any()

  Operation get_elements_as_dyn_any

### set_elements_as_dyn_any

    public void set_elements_as_dyn_any(DynAny[] value)
                                 throws TypeMismatch,
                                        InvalidValue

  Operation set_elements_as_dyn_any

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD